<?php 

// Extra for all platforms
//
// How to register an extra and the functions that it performs and when to perform them (at operation)
//
// $extra = array ( 'at operation' => 'extra function' );
//
$extra['themerandom'] = array (
	'name' => 'Random Theme',
	'description' => 'Display a random theme on every page load',
	'version' => '1.7',
	'author' => 'Shawn McKenzie',
	'contact' => 'http://spidean.mckenzies.net',
	'themeinit' => 'at_themerandom',
	'atadmin' => 'at_admin_themerandom'
);

// Extra functions
//
function at_themerandom($vars)
{
    extract($vars);
    
    $themerandom = atAutoGetVar("themerandom");
    $user = $themerandom['user'];
    
    $themelist = atThemeList();
    shuffle($themelist);

    atThemeSet($themelist[0], $user);
}	

function at_admin_themerandom($themerandom)
{
	$checked ="";
	
    if($themerandom['user']) {
	    $checked = " checked";
	}
	
    $output = _AT_USERSTHEME." <input type=\"checkbox\" name=\"user\" value=\"1\"$checked><br /><br />";
    
	return $output;
}

// will add to api later
if (!defined('AT_DIRPREFIX')) {
   define('AT_DIRPREFIX', '');
}
if (!defined('AT_WEBPREFIX')) {
   define('AT_WEBPREFIX', '');
}

?>
