<?php     

// Extra for all platforms
//
// How to register an extra and the functions that it performs and when to perform them (at operation)
//
// $extra = array ( 'at operation' => 'extra function' );
//
$extra['themeserver'] = array (
	'name' => 'Server Theme',
	'description' => 'Display themes based upon the server or domain used to access this site',
	'version' => '1.7',
	'author' => 'Shawn McKenzie',
	'contact' => 'http://spidean.mckenzies.net',
	'themeinit' => 'at_themeserver',
	'atadmin' => 'at_admin_themeserver'
);

// Extra functions
//
function at_themeserver($vars)
{
    extract($vars);
    
    $themeserver = atAutoGetVar("themeserver");
        
    if (!$themeserver) {
    	return;
    }
    foreach ($themeserver['server'] as $k => $v) {
    	$newarray[$v] = $themeserver['theme'][$k].":".$themeserver['user'][$k];
    }    
    $themeserver = $newarray;
    ksort($themeserver);
    
    foreach ($themeserver as $server => $theme) {
    	if (strpos($_SERVER['SERVER_NAME'], $server) !== false) {
    		$parts = explode(":", $theme);
    		$newtheme = $parts[0];
    		$user = $parts[1];
    		break;
    	}
    }
    atThemeSet($newtheme, $user);
}	

function at_admin_themeserver($themeserver)
{
    $themelist = atThemeList();
    
	foreach ($themeserver['server'] as $k => $server) {
    	$theme = $themeserver['theme'][$k];
    	$user = $themeserver['user'][$k];
    	
        $output .= _AT_SERVER." <input type=\"text\" name=\"server[]\" value=\"$server\" maxlength=\"20\">\n";
        $output .= _AT_THEME." <select name=\"theme[]\">\n";
	   	$output .= "<option selected ></option>";
	    foreach ($themelist as $themename) { 	
	    	if ($theme == $themename) {
	    		$sel = " selected";
	    	}
	    	else {
	    		$sel = "";
	    	}	
	        $output .= "  <option$sel>$themename</option>\n";
	    }
	    $output .= "</select><br /><br />\n";
	    if ($user) { $checked = " checked"; }
	    $output .= _AT_USERSTHEME." <input$checked type=\"checkbox\" name=\"user[]\" value=\"1\"><br /><br />";
    }
    $output .= _AT_SERVER." <input type=\"text\" name=\"server[]\" value=\"\" maxlength=\"20\">\n";
    $output .= _AT_THEME." <select name=\"theme[]\">\n";
   	$output .= "<option selected ></option>";
    foreach ($themelist as $themename) { 		
        $output .= "  <option>$themename</option>\n";
    }
    $output .= "</select><br /><br />\n";
    $output .= _AT_USERSTHEME." <input type=\"checkbox\" name=\"user[]\" value=\"1\"><br /><br />";
    
	return $output;
}

?>
